Call for testing: OpenSSH 6.9

Damien Miller djm at mindrot.org
Tue Jun 30 14:12:48 AEST 2015


On Mon, 29 Jun 2015, Tim Rice wrote:

> On Tue, 30 Jun 2015, Damien Miller wrote:
> 
> | I think we should just disable the test if the host doesn't support IPv6.
> | 
> | diff --git a/regress/cfgparse.sh b/regress/cfgparse.sh
> | index 7f377d8..e19b4d0 100644
> | --- a/regress/cfgparse.sh
> | +++ b/regress/cfgparse.sh
> | @@ -3,6 +3,12 @@
> |  
> |  tid="config parse"
> |  
> | +# Possessing struct addrinfo is a reasonable proxy for IPv6 support.
> | +if ! config_defined HAVE_STRUCT_ADDRINFO ; then
> 
> Did you mean HAVE_STRUCT_IN6_ADDR ?

That's even betterer. Ok?

diff --git a/regress/cfgparse.sh b/regress/cfgparse.sh
index 7f377d8..a5296a2 100644
--- a/regress/cfgparse.sh
+++ b/regress/cfgparse.sh
@@ -3,6 +3,12 @@
 
 tid="config parse"
 
+# This is a reasonable proxy for IPv6 support.
+if ! config_defined HAVE_STRUCT_IN6_ADDR ; then
+	echo "skipped (not supported on this platform)"
+	exit 0
+fi
+
 # We need to use the keys generated for the regression test because sshd -T
 # will fail if we're not running with SUDO (no permissions for real keys) or
 # if we are # running tests on a system that has never had sshd installed


More information about the openssh-unix-dev mailing list